Bug 1805265 - No checkbox to install updates in the shutdown dialog
Summary: No checkbox to install updates in the shutdown dialog
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michael Catanzaro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks: 1814820
TreeView+ depends on / blocked
 
Reported: 2020-02-20 15:28 UTC by Jiri Eischmann
Modified: 2020-03-26 15:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1814820 (view as bug list)
Environment:
Last Closed:
Type: Bug
bcotton: fedora_prioritized_bug+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Fedora Pagure fedora-workstation issue 133 None None None 2020-02-26 18:37:29 UTC
GNOME Gitlab GNOME/gnome-shell/issues/2276 None None None 2020-02-26 21:09:13 UTC

Description Jiri Eischmann 2020-02-20 15:28:23 UTC
When gnome-software/packagekitd prepared packages for offline updates there was a checkbox in the shutdown dialog to perform offline updates before shutdown/reboot.

It was a convenient way for users to do updates and a reminder they have updates waiting without which many users fail to ever install updates.

Since (probably) F31 it no longer works. The checkbox doesn't show up when there are updates. To make the checkbox appear you have to open GNOME Software, go to the Updates screen, click "Reboot and install", click Cancel and then open the shutdown dialog.

This is most likely caused by suspending the packagekitd process. GNOME Shell then cannot check the status of updates and can't show the checkbox.

Proposed solutions:
1) revert the change to suspend the packagekitd process when it's not needed.

2) resume the packagekitd process to get the updates status before the shutdown dialog is shown.

The option 2) would be preferred if it significantly doesn't delay the shutdown dialog because 1) would result in constantly higher consumption of memory.

Comment 1 Ben Cotton 2020-02-26 18:26:09 UTC
Deferring a decision on Prioritized Bug status until after we consult with the Workstation WG. https://meetbot.fedoraproject.org/fedora-meeting/2020-02-26/fedora_prioritized_bugs_and_issues.2020-02-26-16.00.log.html#l-105

Workstation WG ticket created: https://pagure.io/fedora-workstation/issue/133

Comment 2 Michael Catanzaro 2020-02-26 18:39:48 UTC
We think it's been broken since Fedora 29.

Comment 4 Michael Catanzaro 2020-03-17 23:40:36 UTC
BTW: this regressed in PackageKit 1.1.11 (nice version number). So Fedora 29 was indeed the first broken version.

Comment 5 Michael Catanzaro 2020-03-26 15:12:21 UTC
Fixed in 3.36.1.


Note You need to log in before you can comment on or make changes to this bug.